Subject: Re: bug#60867: 29.0.60; keymap-set-after does not accept the AFTER=t argument

From: Robert Pluim <[email-masked]>
Date: Wed, 18 Jan 2023 09:36:28 +0100

>>>>> On Tue, 17 Jan 2023 18:18:17 +0100, Daniel Mendler <[email-masked]> said:

    Daniel> On 1/17/23 18:13, Robert Pluim wrote:
    >> `kbd' supports a slightly less strict syntax than `key-parse' for
    >> historical reasons. Itʼs not something I think we should change
    >> without good reason. Certainly not in emacs-29

    Daniel> keymap-lookup was added in 29. So it is still time to use key-parse
    Daniel> instead of kbd?

Youʼre right about that, and all the related commands talk about
`key-valid-p'. I checked the usage of `keymap-lookup' in emacs-29, and
switching it to `key-parse' should be fine. Care to propose a patch?

Robert
--